package com.ruoyi.system.service;


import com.ruoyi.system.domain.conference.ZxConference;
import com.ruoyi.system.domain.conference.ZxConferenceUser;

import java.util.List;

/**
 * 政协会议活动Service接口
 * 
 * @author boman
 * @date 2024-03-06
 */
public interface IZxConferenceService 
{
    /**
     * 查询政协会议活动
     * 
     * @param conferenceId 政协会议活动主键
     * @return 政协会议活动
     */
    public ZxConference selectZxConferenceByConferenceId(Long conferenceId);

    /**
     *查询政协会议活动人员详情
     * @param conferenceId 政协会议活动主键
     * @return
     */
    public List<ZxConferenceUser> selectZxConferenceUserByConferenceId(Long conferenceId);
    /**
     *查询政协会议活动人员详情
     * @return
     */
    public List<ZxConferenceUser> selectZxConferenceUser(ZxConferenceUser zxConferenceUser);

    /**
     * 查询政协会议活动列表
     * 
     * @param zxConference 政协会议活动
     * @return 政协会议活动集合
     */
    public List<ZxConference> selectZxConferenceList(ZxConference zxConference);

    /**
     * 新增政协会议活动
     * 
     * @param zxConference 政协会议活动
     * @return 结果
     */
    public int insertZxConference(ZxConference zxConference);

    /**
     * 修改政协会议活动
     * 
     * @param zxConference 政协会议活动
     * @return 结果
     */
    public int updateZxConference(ZxConference zxConference);

    /**
     * 修改会议答复信息
     */
    public int updateReply(ZxConferenceUser zxConferenceUser);

    /**
     * 批量删除政协会议活动
     * 
     * @param conferenceIds 需要删除的政协会议活动主键集合
     * @return 结果
     */
    public int deleteZxConferenceByConferenceIds(Long[] conferenceIds);

    /**
     * 删除政协会议活动信息
     * 
     * @param conferenceId 政协会议活动主键
     * @return 结果
     */
    public int deleteZxConferenceByConferenceId(Long conferenceId);
}
